/**
 * 
 * Copyright 2004 Protique Ltd
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License. 
 * 
 **/
package org.codehaus.activemq.store.vm;

import org.codehaus.activemq.service.impl.PersistenceAdapterSupport;
import org.codehaus.activemq.store.MessageStore;
import org.codehaus.activemq.store.PreparedTransactionStore;
import org.codehaus.activemq.store.TopicMessageStore;

import javax.jms.JMSException;
import java.io.File;
import java.util.HashMap;
import java.util.Map;

/**
 * @version $Revision: 1.1 $
 */
public class VMPersistenceAdapter extends PersistenceAdapterSupport {

    public Map getInitialDestinations() {
        return new HashMap();
    }

    public static VMPersistenceAdapter newInstance(File file) {
        return new VMPersistenceAdapter();
    }

    public MessageStore createQueueMessageStore(String destinationName) throws JMSException {
        return new VMMessageStore();
    }

    public TopicMessageStore createTopicMessageStore(String destinationName) throws JMSException {
        return new VMTopicMessageStore();
    }

    public PreparedTransactionStore createPreparedTransactionStore() throws JMSException {
        return new VMPreparedTransactionStoreImpl();
    }

    public void beginTransaction() {
    }

    public void commitTransaction() {
    }

    public void rollbackTransaction() {
    }

    public void start() throws JMSException {
    }

    public void stop() throws JMSException {
    }
}
